/**
 * Created by IntelliJ IDEA.
 * User: o_215
 * Date: 07.10.2009
 * Time: 17:43:23
 * To change this template use File | Settings | File Templates.
 */
import java.math.*;
import java.util.*;
import java.io.*;
public class B {
 public static void main(String[] args) throws Exception{
  Scanner in=new Scanner(new File("array.in"));
  PrintWriter out=new PrintWriter(new File("array.out"));
  int n=in.nextInt();
  int[] a=new int[n];
  for (int i=0;i<n;i++){
   a[i]=in.nextInt();
  }
  boolean b=true;int i=0;int j=1;
  while ((i+j)<=n){
   if(b){
   out.print(a[i]+" ");b=false;i++;
   }else{
   out.print(a[n-j]+" ");b=true;j++;
   }
  }
 in.close();
 out.close();
 }
}
